<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<META NAME="generator" CONTENT="http://txt2tags.org">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf8">
<LINK REL="stylesheet" TYPE="text/css" HREF="../../style/style.css">
</HEAD><BODY BGCOLOR="white" TEXT="black">
<CENTER>
</CENTER>


<H1>Download em massa do YouTube</H1>

<P>
<B><I>Colaboração: Paulo Roberto Bagatini</I></B>
</P>
<P>
<B><I>Data de Publicação: 20 de fevereiro de 2013</I></B>
</P>
<P>
Sei que andaram rolando algumas dicas sobre o youtube-dl por aqui, tempos atrás, só não lembro se alguma mostrou como baixar videos em massa de playlists. Então aqui vai uma dica nesse sentido:
</P>

<PRE>
  # download de uma playlist do YT usando o youtube-dl
  
  sudo apt-get -y install youtube-dl # instala
  
  sudo youtube-dl -U        # atualiza
  sudo youtube-dl --version # talvez atualize novamente (uma única vez, caso especial)
  
  time \
    youtube-dl \
    PLFCCF1CA488CE29A7 \
    -c \
    -f 35 \
    -o "%(autonumber)s--%(id)s--%(title)s.%(ext)s" \
    --restrict-filenames \
    --console-title
  # baixa todos os videos da playlist
  # reiniciando o download do ponto em que parou em caso de interrupção
  # no formato indicado (35 = flv 854x480)
  # nomeando os arquivos sequencialmente,
  # com o id original do YT,
  # o titulo do vídeo, limitado a caracteres ASCII
  # e a extensão adequada (flv, no caso)
  # mantem o titulo da janela atualizado com o status do download, se possível 
  # mostra, no final, o tempo total de operação
</PRE>

<!-- html code generated by txt2tags 2.6 (http://txt2tags.org) -->
<!-- cmdline: txt2tags -t html -\-encoding=utf8 -\-style=../style/style.css dica.t2t -->
</BODY></HTML>
